# $Revision: 1.46 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	dav
%define 	apxs	/usr/sbin/apxs1
%define		apache_version	1.3.6
Summary:	WebDAV module for the Apache Web server
Summary(cs):	DAV modul pro WWW server Apache
Summary(da):	En DAV-modul for Apache
Summary(de):	Ein DAV-Modul fr Apache
Summary(es):	Mdulo DAV para Apache
Summary(fr):	Module DAV pour Apache
Summary(it):	Modulo DAV per Apache
Summary(ja):	Apache Ѥ DAV ⥸塼
Summary(nb):	En DAV-modul for Apache
Summary(pl):	Modu WebDAV dla webserwera Apache
Summary(pt):	Um mdulo de DAV para o Apache
Summary(ru):	,   DAV  Apache
Summary(sv):	En DAV-modul till Apache
Summary(uk):	,  ̦դ  DAV  Apache
Name:		apache1-mod_%{mod_name}
Version:	1.0.3
Release:	3
License:	OSI Approved
Group:		Networking/Daemons
Source0:	http://www.webdav.org/mod_dav/mod_%{mod_name}-%{version}-%{apache_version}.tar.gz
# Source0-md5:	ba83f2aa6e13b216a11d465b82aab484
Source1:	%{name}.conf
Patch0:		%{name}-format.patch
URL:		http://www.webdav.org/mod_dav/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_dav <= 1.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_dav enables Apache to understand DAV protocol (extensions to
HTTP). DAV stands for "Distributed Authoring and Versioning", and is
defined by RFC 2518. DAV is intended to replace proprietary authoring
protocols such as those used by Frontpage or NetObjects' Fusion, but
is also a complete set of protocols for manipulating a webserver's
files and directories, and their properties.

%description -l cs
Modul mod_dav roziuje WWW server Apache o podporu protokolu DAV
(Distributed Authoring a Versioning). Tento protokol roziuje HTTP
protokol o monosti vzdlen manipulace s obsahem WWW serveru. Je
zamlen jako nhrada za proprietln protokoly, kter jsou pouvny
programy FrontPage nebo NetObjects' Fusion. Poskytuje kompletn sadu
protokol pro manipulaci se soubory, adresi a jejich vlastnostmi na
WWW serveru.

%description -l de
Das mod_dav Modul gibt dem Apche Webserver die Mglichkeit, das DAV
(Distributed Authoring and Versioning) Protokoll mit
HTTP-Erweiterungen zu verstehen. DAV ist ein komplettes Set von
Protokollen zur Bearbeitung der Dateien und Verzeichnisse sowie deren
Eigenschaften auf einem Webserver. Es soll die proprietren
Authoring-Protokolle, wie sie z.B. von FrontPage und NetObjects'
Fusion genutzt werden, ersetzen.

%description -l es
El mdulo mod_dav da al servidor web Apache la capacidad de entender
que el protocolo DAV (Dristruted Authoring and Versioning) de
extensiones HTTP .DAV a completar un conjunto de protocolos para
manipular los ficheros de un servidor Web los ficheros y directorios y
sus caractersticas. Se piensa para substituir al propietario,
autorizando protocolos tales como sos usados por FrontPage y la
fusin de NetObjets.

%description -l fr
Le module mod_dav donne au serveur Apache la possibilit de comprendre
le protocole DAV (Distributed Authoring and Versioning) des extensions
 HTTP. DAV est un ensemble complet de protocoles pour la manipulation
des fichiers et des rpertoires d'un serveur Web et de leurs
proprits. Il a pour but de remplacer les protocoles
d'authentification de proprits comme ceux utiliss par FrontPage et
NetObject's Fusion.

%description -l it
Il modulo mod_dav permette al server web Apache di comprendere il
protocollo DAV (Distributed Authoring and Versioning) delle estensioni
per HTTP. DAV  una serie completa di protocolli per l'elaborazione di
file e di directory di un server Web e delle loro propriet. E' stato
ideato per sostituire i protocolli di autenticazione proprietari come
quelli utilizzati da FrontPage e da NetObject's Fusion.

%description -l ja
mod_dav ⥸塼ϡApache Web С HTTP γĥǽ DAV
(Distributed Authoring and Versioning) ץȥǧ ޤDAV
ϡWeb СΥեȥǥ쥯ȥꡢ
Υץѥƥ뤿Υץȥδʥå ǤFrontPage
 NetObject  Fusion Ѥ褦
ͭΤ륪󥰥ץȥ֤뤳ȤŪȤޤ

%description -l pl
mod_dav wcza w Apache obsug protokou DAV (rozszerzenie HTTP). DAV
oznacza "Dystrybuowane Oznaczanie i Wersjonowanie", i jest
zdefiniowany w RFC 2518. Podstawow misj DAV jest zastpi takie
protokoy jak te uywane w Frontpage czy NetObjects' Fusion. Lecz DAV
to take kompletny zestaw protokow sucych do manipulowania
plikami i katalogami serwera Web, oraz ich waciwociami.

%description -l pt
O mdulo mod_dav d ao servidor Web Apache a possibilidade de aceitar
o protocolo de extenses de HTTP DAV (Distributed Authoring and
Versioning). O DAV  um conjunto completo de protocolos para manipular
os ficheiros e directorias dum servidor Web e as suas propriedades.
Pretende substituir os protocolos proprietrios de 'authoring' tais
como os usados pelo FrontPage e pelo Fusion da NetObjects.

%description -l ru
   ,   Apache  
DAV (  HTTP). DAV  "Distributed Authoring
and Versioning",     RFC 2518. DAV  
  ,     Frontpage, 
 Fusion  NetObjects.

%description -l sv
Modulen mod_dav ger webbervern Apache frmgan att frst protokollet
DAV (Distributed Authoring and Versioning) som utvidgar HTTP. DAV r
en komplett uppsttning protokoll fr att hantera en webbservers filer
och kataloger och deras egenskaper. Det r avsett att erstta privata
frfattarptotokoll ssom de som anvnds av FrontPage och NetObjects
Fusion.

%description -l uk
  ͦ ,  Ѥ Apache ͦ  DAV
(  HTTP). DAV  "Distributed Authoring and
Versioning",     RFC 2518. DAV  
ͦ  ̦,   Φ  Frontpage,  
Fusion צ NetObjects.

%prep
%setup -q -n mod_%{mod_name}-%{version}-%{apache_version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-apxs=%{apxs} \
	--with-expat=%{_prefix}
%{__make} APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,/var/lock/mod_dav}

install lib%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- %{name} < 1.0.3-1.1
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/libdav.so 1>&2
	sed -i -e '
		/^Include.*mod_%{mod_name}\.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}\.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi
if [ -f /var/lock/subsys/apache ]; then
	/etc/rc.d/init.d/apache restart 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES INSTALL LICENSE.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%attr(750,http,http) /var/lock/mod_dav

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_dav.spec,v $
Revision 1.46  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.45  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.44  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.43  2006/04/14 16:50:13  glen
- use %service

Revision 1.42  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.41  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.40  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.39  2005/02/15 12:01:20  glen
- rel 2; STBR

Revision 1.38  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.37  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.36  2004/08/30 12:51:49  radek
- mv apache{,1}-*; release 1

Revision 1.35  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.34  2003/08/06 16:11:13  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.33  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.32  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.31  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/02/26 14:54:44  qboosh
- better problem explanation for previous changelog entry
  (binary package in Ra is unaffected by this problem)

Revision 1.29  2003/02/26 14:46:12  qboosh
- added format patch with fix for possible format string problem
  (doesn't affect unmodified mod_dav, but can lead to security hole if
   someone used mod_dav sources with third-party modifications)
- release 6

Revision 1.28  2002/12/31 11:01:46  qboosh
- don't try to use .conf files from apache 2 package

Revision 1.27  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.26  2002/12/13 15:26:08  ankry
- adapterized

Revision 1.25  2002/12/12 01:33:18  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.24  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.23  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.21  2002/05/26 15:30:20  kloczek
- release 5: use new %doc.

Revision 1.20  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/25 15:45:43  arturs
- fixed a small typo

Revision 1.18  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.17  2002/03/24 13:04:15  kloczek
- added (un)register mod_dav module configuration file in httpd.conf,
- added default lock directory in /var/lock/mod_dav.

Revision 1.16  2002/03/24 12:28:45  misiek
- link with expat (now it works); release 4

Revision 1.15  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/17 21:05:59  ankry
- release 3

Revision 1.13  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.12  2002/02/16 19:08:16  kloczek
- release 2.

Revision 1.11  2002/02/16 19:02:58  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/26 12:44:17  kloczek
- updated to 1.0.3,
- regenerate ac files.

Revision 1.8  2001/11/14 11:43:28  filon
- changed to %configure2_13, to make it build

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %debug ready or using %rpm*flags macros

Revision 1.6  2001/03/07 19:53:43  kloczek
- filal cleanup.

Revision 1.5  2001/02/20 00:48:45  siefca
- fixed Prereq
- fixed docs section
- added Post and Preun
- fixed install section

Revision 1.3  2001/02/19 23:40:49  siefca
- removed --with-expat configure option due to required expat(-devel)
  now we don't need to patch configure script; location of expat
  headers will be autodetected

Revision 1.2  2001/02/19 21:21:04  siefca
- setup fixes

Revision 1.1  2001/02/19 21:19:22  siefca
- initial revision
